io.undertow.websockets

## Interface WebSocketConnectionCallback

    public interface WebSocketConnectionCallback

Interface that is used on the client side to accept web socket connections

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onConnect(WebSocketHttpExchange exchange, WebSocketChannel channel)` Is called once the WebSocket connection is established, which means the handshake was successful.

### Method Detail

#### onConnect

    void onConnect(WebSocketHttpExchange exchange,
                   WebSocketChannel channel)

Is called once the WebSocket connection is established, which means the handshake was successful.